1. Pixverse
梧柏API使用文档
WHBAI · Pixverse
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Pixverse
    • 模板生图
      POST
    • 文生视频
      POST
    • 图生视频
      POST
    • 转场视频
      POST
    • 视频延长
      POST
    • 融合视频
      POST
    • 对口型
      POST
    • 换脸/换人
      POST
    • 动作模仿
      POST
    • 视频修改
      POST
    • 风格重绘
      POST
    • 音效生成
      POST
    • 多段转场
      POST
    • 上传图片
      POST
    • 上传媒体
      POST
    • Mask 选择
      POST
    • 查询视频任务
      GET
    • 查询图片任务
      GET
    • TTS 音色列表
      GET
  • 数据模型
    • PixverseSampleRequest
    • PostOpenapiV2VideoTextGenerateRequest
    • PostOpenapiV2VideoImgGenerateRequest
    • PostOpenapiV2VideoTransitionGenerateRequest
    • PostOpenapiV2VideoExtendGenerateRequest
    • PostOpenapiV2VideoFusionGenerateRequest
    • PostOpenapiV2VideoLipSyncGenerateRequest
    • PostOpenapiV2VideoSwapGenerateRequest
    • PostOpenapiV2VideoMimicGenerateRequest
    • PostOpenapiV2VideoModifyGenerateRequest
    • PostOpenapiV2VideoRestyleGenerateRequest
    • PostOpenapiV2VideoSoundEffectGenerateRequest
    • PostOpenapiV2VideoMultiTransitionGenerateRequest
    • NewApiError
  1. Pixverse

转场视频

POST
/openapi/v2/video/transition/generate
Pixverse 视频生成;提交后通过 GET /openapi/v2/video/result/{id} 轮询。

网站中的模型与调用示例#

首尾帧生成视频#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "duration": {
      "description": "视频生成时长\nv.3.5/v4/v4.5 : 5/8 (v3.5 1080p 无法使用 8)\nv5 : 5/8\nv5.5/v5.6 : 5/8/10 (1080p 无法使用 10)\nv6/c1 : 1~15",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "Video generation duration\nv.3.5/v4/v4.5 : 5/8 (v3.5 1080p cannot be used 8)\nv5: 5/8\nv5.5/v5.6 : 5/8/10 (1080p not available 10)\nv6/c1: 1~15"
        }
      }
    },
    "first_frame_img": {
      "description": "上传图片后获取的img_id",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "img_id obtained after uploading the image"
        }
      }
    },
    "generate_audio_switch": {
      "description": "支持 v5.5, v5.6, v6,c1 使用 / 控制开关Audio. true: Audio on , false: Audio off",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Support v5.5, v5.6, v6,c1 using / to control the switch Audio. true: Audio on, false: Audio off"
        }
      }
    },
    "last_frame_img": {
      "description": "上传图片后获取的img_id",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "img_id obtained after uploading the image"
        }
      }
    },
    "lip_sync_tts_content": {
      "description": "~140Chracters (UTF-8). 可输入想要的tts 内容\n可适用范围 : \"v3.5\",\"v4\",\"v4.5\",\"v5\"",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "~140Chracters (UTF-8). You can enter the desired tts content\nApplicable scope: \"v3.5\",\"v4\",\"v4.5\",\"v5\""
        }
      }
    },
    "lip_sync_tts_speaker_id": {
      "description": "获取TTS 音色后的id\n可适用范围 : \"v3.5\",\"v4\",\"v4.5\",\"v5\"",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Get the id of the TTS tone\nApplicable scope: \"v3.5\",\"v4\",\"v4.5\",\"v5\""
        }
      }
    },
    "lip_sync_tts_switch": {
      "description": "true, false\n如果想一起使用对口型 请传为true",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "true, false\nIf you want to use lip sync together, please pass it as true"
        }
      }
    },
    "model": {
      "description": "模型 \"v3.5\",\"v4\",\"v4.5\", \"v5\",\"v5.5\",\"v5.6\",\"v6\",\"c1\"",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Model \"v3.5\",\"v4\",\"v4.5\", \"v5\",\"v5.5\",\"v5.6\",\"v6\",\"c1\""
        }
      }
    },
    "motion_mode": {
      "description": "\"normal\",\"fast\". \"fast\" 不支持 8s, \"v5\" 不支持此字段",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "\"normal\",\"fast\". \"fast\" does not support 8s, \"v5\" does not support this field"
        }
      }
    },
    "prompt": {
      "description": "2048 Characters 以内",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Within 2048 Characters"
        }
      }
    },
    "quality": {
      "description": "\"360p\",\"540p\",\"720p\",\"1080p\"",
      "type": "string"
    },
    "seed": {
      "description": "可传随机数 0 - 2147483647",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "Transmittable random number 0 - 2147483647"
        }
      }
    },
    "sound_effect_content": {
      "description": "可输入想要的音效, 如果不填写会根据视频内容生成音效",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "You can enter the desired sound effects. If not filled in, the sound effects will be generated based on the video content."
        }
      }
    },
    "sound_effect_switch": {
      "description": "v5 以下 or 有template_id时可使用.true, false\n如果想一起使用sound_effect 请传为true",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "v5 or below or can be used when there is template_id.true, false\nIf you want to use sound_effect together, please pass it as true"
        }
      }
    }
  },
  "required": [
    "duration",
    "first_frame_img",
    "last_frame_img",
    "model",
    "prompt",
    "quality"
  ]
}

请求示例 · 示例 1#

{
  "duration": 5,
  "first_frame_img": 0,
  "last_frame_img": 0,
  "model": "v4.5",
  "motion_mode": "normal",
  "prompt": "trasnfrom into character",
  "quality": "540p",
  "seed": 937433858
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json必填

示例
{
    "model": "v5.5",
    "prompt": "A cat running on grass",
    "duration": 5,
    "quality": "720p",
    "aspect_ratio": "16:9"
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/openapi/v2/video/transition/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "v5.5",
    "prompt": "A cat running on grass",
    "duration": 5,
    "quality": "720p",
    "aspect_ratio": "16:9"
}'

返回响应

🟢200成功
application/json
成功
Bodyapplication/json

示例
{
    "ErrCode": 0,
    "ErrMsg": "success",
    "RespData": {
        "id": 123456
    }
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:15
上一页
图生视频
下一页
视频延长
Built with